package com.yx.face.dao;

import com.yx.face.entity.Admin;
import com.yx.face.entity.SystemPushConfig;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @ProjectName: face-server-netty
 * @Package: com.yx.face.dto
 * @ClassName: PushDTO
 * @Author: 崔哥
 * @Description:
 * @Date: 2021/11/22 15:07
 * @Version: 1.0
 */
public interface PushDao {
    String getPushUrl(@Param("deviceSn") String deviceSn);

    String getUserVisitorPushUrl(@Param("phone") String phone, @Param("adminId") Integer adminId);

    List<SystemPushConfig> selectList(Integer type);

    Admin getAdmin(@Param("id") Integer id);

//    List<String> checkSn(Map<String, Object> map);

//    List<String> checkPhone(Map<String, Object> map);

    List<String> checkSn(@Param("admin") Admin admin, @Param("sn") String sn);

    List<String> checkPhone(@Param("admin") Admin admin, @Param("phone") String phone);
}
